== Why is this an issue?

SQL queries with large ``++WHERE++`` clauses are complex. Complex queries are generally not performant, in addition to being difficult to understand and therefore to maintain.


ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Parameters

.maximumLinesThreshold
****

----
32
----

The maximum authorized number of lines of code in a "WHERE" clause
****


'''
== Comments And Links
(visible only on this page)

=== on 29 May 2015, 13:05:29 Ann Campbell wrote:
double-check me, [~pierre-yves.nicolas]

=== on 29 May 2015, 15:12:44 Pierre-Yves Nicolas wrote:
The new SQALE remediation looks good.

endif::env-github,rspecator-view[]
